/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 */

package com.yami.shop.seckill.comment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yami.shop.seckill.comment.model.SeckillSku;

import java.util.List;

/**
 * 秒杀活动sku
 *
 * @author LGH
 * @date 2019-08-28 09:36:59
 */
public interface SeckillSkuService extends IService<SeckillSku> {

    List<SeckillSku> listSeckillSkuBySeckillId(Long seckillId);

    void removeSeckillSkuCacheBySeckillId(Long seckillId);

    SeckillSku getSeckillSkuById(Long seckillSkuId);

    void removeSeckillCacheSkuById(Long seckillSkuId,Long seckillId);
}
